| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
blf_ethernetframeheader_ex Struct Reference

Extended header for a BLF Ethernet frame object with additional hardware metadata. More...

`#include <blf.h>`

## Public Attributes
uint16_t | struct_length
uint16_t | flags
uint16_t | channel
uint16_t | hw_channel
uint64_t | frame_duration
uint32_t | frame_checksum
uint16_t | direction
uint16_t | frame_length
uint32_t | frame_handle
uint32_t | error

## Detailed Description

Extended header for a BLF Ethernet frame object with additional hardware metadata.

## Member Data Documentation

## ◆ channel

uint16_t blf_ethernetframeheader_ex::channel

Logical channel number on which this frame was captured.

## ◆ direction

uint16_t blf_ethernetframeheader_ex::direction

Transfer direction: one of BLF_DIR_RX, BLF_DIR_TX, or BLF_DIR_TX_RQ.

## ◆ error

uint32_t blf_ethernetframeheader_ex::error

Error flags reported by the hardware for this frame.

## ◆ flags

uint16_t blf_ethernetframeheader_ex::flags

Bitmask of BLF_ETHERNET_EX_* flags indicating which optional fields are valid.

## ◆ frame_checksum

uint32_t blf_ethernetframeheader_ex::frame_checksum

Ethernet FCS (CRC-32) of the frame.

## ◆ frame_duration

uint64_t blf_ethernetframeheader_ex::frame_duration

Duration of the frame on the wire in nanoseconds; valid only when BLF_ETHERNET_EX_FRAMEDURATION is set.

## ◆ frame_handle

uint32_t blf_ethernetframeheader_ex::frame_handle

Hardware-assigned frame handle; valid only when BLF_ETHERNET_EX_FRAMEHANDLE is set.

## ◆ frame_length

uint16_t blf_ethernetframeheader_ex::frame_length

Total length in bytes of the captured Ethernet frame.

## ◆ hw_channel

uint16_t blf_ethernetframeheader_ex::hw_channel

Hardware channel number; valid only when BLF_ETHERNET_EX_HARDWARECHANNEL is set.

## ◆ struct_length

uint16_t blf_ethernetframeheader_ex::struct_length

Total length in bytes of this header structure.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/blf.h